Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003732 [JEDI VCL] 00 JVCL Components major always 2006-05-29 00:01 2006-06-07 02:28
Reporter korecek View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003732: JvMenu - Roll down menu images problem
Description 1. If we use roll down menu first time there are all left side images
   in menu shown OK. But...
2. if we go or use roll down menu second time and next there is missing top
   most (left side) image in case that menu item is not selected
3. If we select top most menu item, then image is immediately shown (is painted)
4. Also menu in first Control Line (after roll up) is moved back to the left
   justify if we move by mouse cursor over menu line....

I think it is bug.
Additional Information I added BCB6 example with above description note there
Tags No tags attached.
Attached Files zip file icon JvMenuImages.zip [^] (12,403 bytes) 2006-05-29 00:01

- Relationships

-  Notes
(0009376)
obones (administrator)
2006-06-05 01:47

Are you sure you are using the DAILY version of the JVCL?
I have already worked on such a bug, and have fixed it back then, hence my surprise...
(0009379)
korecek (reporter)
2006-06-05 01:59

Yes, I am sure.
I first downloaded latest DAILY (resp. SVN - 28.5.2006 )sources,
then I tried whether problem persist and
after that I sent the bug info.

At the moment I can say...
The previous problem which I reported was in PopUp Menu.
This is the problem of a Roll down menu.
See BCB6 example...
(0009397)
obones (administrator)
2006-06-07 01:54

Seing this under BDS2006 as well. Investigating
(0009399)
obones (administrator)
2006-06-07 02:28

This is now solved in SVN

- Issue History
Date Modified Username Field Change
2006-05-29 00:01 korecek New Issue
2006-05-29 00:01 korecek File Added: JvMenuImages.zip
2006-06-05 01:47 obones Note Added: 0009376
2006-06-05 01:47 obones Status new => feedback
2006-06-05 01:59 korecek Note Added: 0009379
2006-06-07 01:54 obones Note Added: 0009397
2006-06-07 01:54 obones Status feedback => confirmed
2006-06-07 02:28 obones Status confirmed => resolved
2006-06-07 02:28 obones Resolution open => fixed
2006-06-07 02:28 obones Assigned To => obones
2006-06-07 02:28 obones Note Added: 0009399


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker